Home Wiki > SDB:Руководство по приобретению принтера
Sign up | Login

SDB:Руководство по приобретению принтера

tagline: Материал из openSUSE

Первоисточник, в котором можно получить информацию об уровне поддержки принтера, является база данных поддерживаемых принтеров www.linuxprinting.org.

Для того, чтобы воспользоваться этой базой данных, вы должны точно знать производителя и модель принтера. Например модель "Kyocera Mita"/"FS-820" отличается от модели"Kyocera Mita"/"F-820".

Кроме того, не забывайте, что, очень дёшево, совершенно рабочие лазерные принтеры могут быть найдены на вторичном рынке , например за 25 евро... с чернилами, за Kyocera Mita 1700 или HP Laserjet5m.

Проверено в openSUSE Рекомендуемые статьи Связанные статьи
Icon-checked.png

Icon-manual.png Icon-help.png

PostScript принтеры

Принтеры имеющие наименьшее количество проблем - это PostScript принтеры, и поэтому могут быть рекомендованы в первую очередь.

(Настоящие) PostScript принтеры и поддерживающие эмуляцию

Есть два вида PostScript принтеров: те, на которых есть эмблема торговой марки PostScript и те, которые эмулируют PostScript. Разница в цене: получение знака торговой марки стоит дорого, резко увеличивая стоимость принтера. Оригинальные шрифты PostScript включены только с подлинными принтерами PostScript. Удостоверьтесь в наличии поддержки PPD (PostScript Printer Description) файлов принтером. В этом случае вы легко сможете подключить принтер к системе, и сможете использовать продвинутые функции, такие как двусторонняя печать и печать с различным разрешением.

PostScript версии

Один недостаток старых PostScript принтеров (PostScript версии 2 или более младшей) - в том, что они не печатуют multi-byte символы. Эти multi-byte символы необходимы, например, для печати специфических символов некоторых азиатских языков. Если у вас PostScrip версии 2, данные сначала конвертируются, и, только после этого, возможно выполнять печатать документов, с потерей, однако, возможности двусторонней печати.

Принтеры без поддержки PostScript

Принтеры без поддержки PostScript - обычно струйные принтеры.

HP Inkjet проект

Hewlett-Packard (HP) принтеры поддерживает OpenSource Linux драйверы и разрабатываются непосредственно самой компанией; поэтому мы рекомендуем их для использования с SUSE Linux. Вы можете загрузить последние драйверы здесь [HP Linux Printing Project]. Мы стараемся включить последние драйверы в дистрибутивы, но бывают задержки.

Цены

Принтеры HP стоят немного дороже других. Но у Вас нет проблем в получении прекрасного качества отпечатков с принтерами HP, которые могут возникнуть с принтерами других производителей. И если HP изменяет порядок обращения к своим принтерам, то сразу выпускается новая версия драйвера и пользователи Linux не остаются с неработающим принтером.

Если Вы покупаете принтер, Вы должны также вычислить общую стоимость его владения: сюда необходимо включить стоимость замены чернил, стоимость замены комплекта барабана и т.д. Если Вы подводёте итог, то стоимость HP принтеров становится сопоставима с моделями других производителей.

Я рекомендую HP Business Inkjets. Они более дороги, но Вы оплачиваете часть аппаратных средств (печатающие головки), которые не меняются при замене картриджей с чернилами.

Принтеры с ClosedSource Linux драйверами

Ни одна другая компания - кроме HP - в настоящее время не желает открывать свои драйверы для сообщества OpenSource. Некоторые поставляют к своим изделиям драйверы для Linux, но они - ClosedSource. Неработающие с последними версиями Linux, потому что они - ClosedSource, мы не можем обеспечить их работоспособность своевременно. :-( Действительно что раздражает, так это то, что вендоры были удивлены узнав о существовании AMD64, способного поддерживать как 32bit кодировку так и 64bit кодировку. В связи с этим фактом, мы вынуждены создать два разных дистрибутива SUSE Linux system с поддержкой разных этих схем кодировки. Но вендоры драйверов ClosedSource, поняли это действительно поздно, если когда-либо вообще поймут. Так вы можете столкнуться с подводными камнями, которые никогда не понимались вендорами ClosedSource.

Другая проблема с ClosedSource Linux драйверами, это дыры в системе безопасности, пока разработчики не поймут свою ошибку, зафиксирую проблему, проверят, и только потом выпустят новый релиз драйвера с заплаткой.

Типичные вендоры: Brother, Epson.

Windows / GDI принтеры

Не используйте их! Маловероятно, что эти принтеры будут работать в Linux. Для некоторых устаревших принтеров есть частичная поддержка их функций (например Lexmark Z11), но не для тех, которые находятся в настоящее время в продаже. В прошлом часто случалось, что OpenSource обнаруживал способ поддержать эти принтеры. Но несколько недель спустя продавец придумавал новое, модель преемника, в котором осуществили отличный протокол и требовались другие драйверы Linux, и вся работа шла на смарку. Так, даже если для определенного принтера GDI будут существовать драйверы Linux, то для его преемника - не обязательно.

Типичные вендоры: Lexmark.

Резюме

Резюме: покупайте PostScript(TM) принтеры, с PostScript версией 3. Если не можете себе их позволить, покупайте HP inkjet, Buisness Inkjet линейку; и всё должно пройти без проблем. Удачи! :)


Klaus Singvogel, Kssingvo, 16:08, 30 Nov 2005 (CET)

Перевод Александра Полякова, Witebskiy, 17:00, 21 декабря 2008 (CET)